# Generated by Django 5.0.8 on 2024-08-13 09:07

import django.db.models.deletion
import feed_posts.helpers
import imagekit.models.fields
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("feed_posts", "0013_alter_feedpost_priority_duration"),
    ]

    operations = [
        migrations.CreateModel(
            name="FeedPostImage",
            fields=[
                ("id", models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                (
                    "image",
                    imagekit.models.fields.ProcessedImageField(
                        max_length=500,
                        upload_to=feed_posts.helpers.upload_to_new_feed_post_images_directory,
                        verbose_name="image",
                    ),
                ),
                ("image_blurhash", models.CharField(blank=True, max_length=50, null=True)),
                ("order", models.PositiveIntegerField()),
                ("uploaded_at", models.DateTimeField(auto_now_add=True)),
                ("alt_text", models.TextField(blank=True, max_length=128, null=True)),
                (
                    "feed_post",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="images", to="feed_posts.feedpost"
                    ),
                ),
            ],
            options={
                "ordering": ["order"],
                "unique_together": {("feed_post", "image", "order")},
            },
        ),
    ]
