# Generated by Django 4.0.5 on 2022-10-28 13:46

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('openbook_communities', '0001_initial'),
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='ModeratedObject',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('description', models.CharField(max_length=1000, null=True, verbose_name='description')),
                ('verified', models.BooleanField(default=False, verbose_name='verified')),
                ('status', models.CharField(choices=[('P', 'Pending'), ('A', 'Approved'), ('R', 'Rejected')], default='P', max_length=5)),
                ('object_type', models.CharField(choices=[('P', 'Post'), ('PC', 'Post Comment'), ('C', 'Community'), ('U', 'User'), ('H', 'Hashtag')], max_length=5)),
                ('object_id', models.CharField(max_length=36)),
            ],
        ),
        migrations.CreateModel(
            name='ModeratedObjectDescriptionChangedLog',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('changed_from', models.CharField(max_length=1000, null=True, verbose_name='changed from')),
                ('changed_to', models.CharField(max_length=1000, null=True, verbose_name='changed to')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ModeratedObjectStatusChangedLog',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('changed_from', models.CharField(choices=[('P', 'Pending'), ('A', 'Approved'), ('R', 'Rejected')], max_length=5, verbose_name='changed from')),
                ('changed_to', models.CharField(max_length=5, verbose_name='changed to')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ModeratedObjectVerifiedChangedLog',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('changed_from', models.BooleanField(verbose_name='changed from')),
                ('changed_to', models.BooleanField(verbose_name='changed to')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ModerationCategory',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=32, verbose_name='name')),
                ('title', models.CharField(max_length=64, verbose_name='title')),
                ('title_es', models.CharField(max_length=64, null=True, verbose_name='title')),
                ('title_en', models.CharField(max_length=64, null=True, verbose_name='title')),
                ('title_de', models.CharField(max_length=64, null=True, verbose_name='title')),
                ('title_nl', models.CharField(max_length=64, null=True, verbose_name='title')),
                ('title_da', models.CharField(max_length=64, null=True, verbose_name='title')),
                ('title_hu', models.CharField(max_length=64, null=True, verbose_name='title')),
                ('title_sv', models.CharField(max_length=64, null=True, verbose_name='title')),
                ('title_fr', models.CharField(max_length=64, null=True, verbose_name='title')),
                ('title_it', models.CharField(max_length=64, null=True, verbose_name='title')),
                ('title_tr', models.CharField(max_length=64, null=True, verbose_name='title')),
                ('title_pt_br', models.CharField(max_length=64, null=True, verbose_name='title')),
                ('description', models.CharField(max_length=255, verbose_name='description')),
                ('description_es', models.CharField(max_length=255, null=True, verbose_name='description')),
                ('description_en', models.CharField(max_length=255, null=True, verbose_name='description')),
                ('description_de', models.CharField(max_length=255, null=True, verbose_name='description')),
                ('description_nl', models.CharField(max_length=255, null=True, verbose_name='description')),
                ('description_da', models.CharField(max_length=255, null=True, verbose_name='description')),
                ('description_hu', models.CharField(max_length=255, null=True, verbose_name='description')),
                ('description_sv', models.CharField(max_length=255, null=True, verbose_name='description')),
                ('description_fr', models.CharField(max_length=255, null=True, verbose_name='description')),
                ('description_it', models.CharField(max_length=255, null=True, verbose_name='description')),
                ('description_tr', models.CharField(max_length=255, null=True, verbose_name='description')),
                ('description_pt_br', models.CharField(max_length=255, null=True, verbose_name='description')),
                ('created', models.DateTimeField(db_index=True, editable=False)),
                ('order', models.PositiveSmallIntegerField(editable=False)),
                ('severity', models.CharField(choices=[('C', 'Critical'), ('H', 'High'), ('M', 'Medium'), ('L', 'Low')], max_length=5)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ModerationReport',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('description', models.CharField(max_length=1000, null=True, verbose_name='description')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reports', to='openbook_moderation.moderationcategory')),
                ('moderated_object', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reports', to='openbook_moderation.moderatedobject')),
                ('reporter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='moderation_reports', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ModerationPenalty',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('expiration', models.DateTimeField(null=True)),
                ('type', models.CharField(choices=[('S', 'Suspension')], max_length=5)),
                ('moderated_object', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_penalties', to='openbook_moderation.moderatedobject')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='moderation_penalties', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ModeratedObjectLog',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('log_type', models.CharField(choices=[('DC', 'Description Changed'), ('AC', 'Status Changed'), ('VC', 'Verified Changed'), ('CC', 'Category Changed')], max_length=5)),
                ('object_id', models.CharField(max_length=36)),
                ('created', models.DateTimeField(db_index=True, editable=False)),
                ('actor', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype')),
                ('moderated_object', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='logs', to='openbook_moderation.moderatedobject')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ModeratedObjectCategoryChangedLog',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('changed_from', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='openbook_moderation.moderationcategory')),
                ('changed_to', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='openbook_moderation.moderationcategory')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='moderatedobject',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='moderated_objects', to='openbook_moderation.moderationcategory'),
        ),
        migrations.AddField(
            model_name='moderatedobject',
            name='community',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='moderated_objects', to='openbook_communities.community'),
        ),
        migrations.AddField(
            model_name='moderatedobject',
            name='content_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype'),
        ),
        migrations.AddConstraint(
            model_name='moderationreport',
            constraint=models.UniqueConstraint(fields=('reporter', 'moderated_object'), name='reporter_moderation_report_constraint'),
        ),
        migrations.AddConstraint(
            model_name='moderatedobject',
            constraint=models.UniqueConstraint(fields=('object_type', 'object_id'), name='reporter_moderated_object_constraint'),
        ),
    ]
